function bercomp (fn1, fn2, cites)
%BERCOMP   Compare BERs
%
%   See also: CONVDATA, PLOTBER.

%   Ling Li, Caltech
%   06/05/2001

if nargin < 3,
    cites = [1, 2, 4, 6, 8, 12, 16];
end

% default values of iters & snrs. 
% maybe over-defined by loading fn
iters = [1, 2, 4, 6, 8, 12, 16];
snrs = (0:6) / 2;

disp(['Loading ' fn1]);
eval(['load ' fn1]);
it1 = iters;
pi1 = pi_errs;
llr1 = llr_errs;

disp(['Loading ' fn2]);
eval(['load ' fn2]);
it2 = iters;
pi2 = pi_errs;
llr2 = llr_errs;

% filter the data
cites = intersect(cites, intersect(it1, it2));
n = length(cites);
for i = 1:n
    idx = find(it1 == cites(i));
    pi1(:, i) = pi1(:, idx);
    llr1(:, i) = llr1(:, idx);

    idx = find(it2 == cites(i));
    pi2(:, i) = pi2(:, idx);
    llr2(:, i) = llr2(:, idx);
end
pi1 = pi1(:, 1:n);
pi2 = pi2(:, 1:n);
llr1 = llr1(:, 1:n);
llr2 = llr2(:, 1:n);

figure;
semilogy(snrs, pi1, '+-'); hold on;
semilogy(snrs, pi2, 'o--');
title([fn1 ', ' fn2 ', BER - \pi']);
%legend('iteration #1', 'iteration #2', 'iteration #4', 'iteration #6', ...
%    'iteration #8', 'iteration #12', 'iteration #16');
xlabel('E_b/N_0 (dB)');
ylabel('BER (bit error rate)');
grid on;

figure;
semilogy(snrs, llr1, '+-'); hold on;
semilogy(snrs, llr2, 'o--');
title([fn1 ', ' fn2 ', BER - LLR']);
%legend('iteration #1', 'iteration #2', 'iteration #4', 'iteration #6', ...
%    'iteration #8', 'iteration #12', 'iteration #16');
xlabel('E_b/N_0 (dB)');
ylabel('BER (bit error rate)');
grid on;
