function plotber (fn)
%PLOTBER   Plot BER vs. Eb/N0
%
%   See also: CONVDATA, PLOTLLR.

%   Ling Li, Caltech
%   05/27/2001

if nargin < 1,
    fn = 'bo_data';
end

% default values of iters & snrs. 
% maybe over-defined by loading fn
iters = [1, 2, 4, 6, 8, 12, 16];
snrs = (0:6) / 2;

disp(['Loading ' fn]);
eval(['load ' fn]);

niters = length(iters);
nsnrs = length(snrs);

idx = find(fn == '_');
fn(idx) = ' ';

figure;
semilogy(snrs, pi_errs, 'o-');
title([fn ', BER - \pi']);
legend('iteration #1', 'iteration #2', 'iteration #4', 'iteration #6', ...
    'iteration #8', 'iteration #12', 'iteration #16');
xlabel('E_b/N_0 (dB)');
ylabel('BER (bit error rate)');
grid on;

figure;
semilogy(snrs, llr_errs, 'o-');
title([fn ', BER - LLR']);
legend('iteration #1', 'iteration #2', 'iteration #4', 'iteration #6', ...
    'iteration #8', 'iteration #12', 'iteration #16');
xlabel('E_b/N_0 (dB)');
ylabel('BER (bit error rate)');
grid on;
